package com.netmera.netmera_flutter_sdk;

import com.netmera.NetmeraInboxFilter;

import java.util.List;

import io.flutter.plugin.common.MethodCall;

/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */
class FNetmeraInboxFilter {

    static NetmeraInboxFilter getInboxObject(MethodCall call) {
        NetmeraInboxFilter.Builder builder = new NetmeraInboxFilter.Builder();

        int status = call.argument("status");
        List<String> categories = call.argument("categories");
        int pageSize = call.argument("pageSize");
        boolean includeExpiredObjects = call.argument("includeExpiredObjects");

        builder.status(status)
                .categories(categories)
                .pageSize(pageSize)
                .includeExpiredObjects(includeExpiredObjects);

        return builder.build();
    }
}
