package com.netmera.netmera_flutter_sdk;

import com.netmera.data.NMCategoryPreference;
import com.netmera.data.NMInboxStatus;
import com.netmera.data.NMInboxStatusCount;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Copyright (c) 2019 Inomera Research.
 *
 * @author Burak Soykal
 */
class FNMUserCategoryPreference {

    public static List<HashMap<String, Object>> parseUserCategoryPreferenceListToMap(List<NMCategoryPreference> preferences) {
        ArrayList<HashMap<String, Object>> pushObjectList = new ArrayList<>();
        for (NMCategoryPreference preference : preferences) {
            HashMap<String, Object> preferenceMap = new HashMap<>();
            preferenceMap.put("categoryId", preference.getCategoryId());
            preferenceMap.put("categoryName", preference.getCategoryName());
            preferenceMap.put("optInStatus", preference.getOptInStatus());
            pushObjectList.add(preferenceMap);
        }
        return pushObjectList;
    }
}
