/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */

#import "FNMUserCategoryPreference.h"

@implementation FNMUserCategoryPreference

+(NSMutableArray *) parseUserCategoryPreferenceListToMap:(NSArray<NetmeraUserCategoryPreference *> *) preferences {
    NSMutableArray *array = [[NSMutableArray alloc]init];
    for (NetmeraUserCategoryPreference *preference in preferences) {
        NSMutableDictionary *data = [NSMutableDictionary dictionary];
        data[@"categoryId"] = [NSNumber numberWithInteger:preference.categoryId];
        data[@"categoryName"] = preference.categoryName;
        data[@"optInStatus"] = preference.categoryName;
        [array addObject:data];
    }
    return array;
}

@end
