import 'dart:convert';

import 'package:netmera_flutter_sdk/NetmeraPushInbox.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraCategory {
  String? _categoryName;
  NetmeraPushInbox _lastMessage;
  int? _readCount;
  int? _deletedCount;
  int? _unreadCount;

  String? getCategoryName() => _categoryName;

  setCategoryName(String value) {
    _categoryName = value;
  }

  int? getReadCount() => _readCount;

  setReadCount(int value) {
    _readCount = value;
  }

  int? getUnReadCount() => _unreadCount;

  setUnReadCount(int value) {
    _unreadCount = value;
  }

  int? getDeletedCount() => _deletedCount;

  setDeletedCount(int value) {
    _deletedCount = value;
  }

  NetmeraPushInbox getLastMessage() => _lastMessage;

  setLastMessage(NetmeraPushInbox value) {
    _lastMessage = value;
  }

  NetmeraCategory.fromJson(Map<dynamic, dynamic> json)
      : _categoryName = json['category_name'],
        _lastMessage = NetmeraPushInbox.fromJson(jsonDecode(json['category_last_message'])),
        _readCount = json['category_read_count'],
        _unreadCount = json['category_unread_count'],
        _deletedCount = json['category_deleted_count'];
}
