///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraCategoryPreference {
  NetmeraCategoryPreference(int categoryId, String categoryName, bool optInStatus) {
    _categoryId = categoryId;
    _categoryName = categoryName;
    _optInStatus = optInStatus;
  }
  int? _categoryId;
  String? _categoryName;
  bool? _optInStatus;

  int? getCategoryId() => _categoryId;

  String? getCategoryName() => _categoryName;

  bool? getOptInStatus() => _optInStatus;

  NetmeraCategoryPreference.fromJson(Map<dynamic, dynamic> json)
      : _categoryId = json['categoryId'],
        _categoryName = json['categoryName'],
        _optInStatus = json['optInStatus'];
}
