///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraProduct {
  String? _id;
  String? _name;
  double? _price;
  List<String>? _categoryIds;
  List<String>? _categoryNames;
  String? _brandName;
  String? _brandId;
  String? _variant;
  List<String>? _keywords;
  String? _campaignId;

  String? getId() => _id;

  setId(String value) {
    _id = value;
  }

  String? getName() => _name;

  setName(String value) {
    _name = value;
  }

  double? getPrice() => _price;

  setPrice(double value) {
    _price = value;
  }

  List<String>? getCategoryIds() => _categoryIds;

  setCategoryIds(List<String> value) {
    _categoryIds = value;
  }

  List<String>? getCategoryNames() => _categoryNames;

  setCategoryNames(List<String> value) {
    _categoryNames = value;
  }

  String? getBrandName() => _brandName;

  setBrandName(String value) {
    _brandName = value;
  }

  String? getBrandId() => _brandId;

  setBrandId(String value) {
    _brandId = value;
  }

  String? getVariant() => _variant;

  setVariant(String value) {
    _variant = value;
  }

  List<String>? getKeywords() => _keywords;

  setKeywords(List<String> value) {
    _keywords = value;
  }

  String? getCampaignId() => _campaignId;

  setCampaignId(String value) {
    _campaignId = value;
  }

  Map<String, Object?> toJson() => {
        'ea': _id,
        'eb': _name,
        'eq': _price,
        'ga': _categoryIds,
        'ef': _categoryNames,
        'eh': _brandName,
        'gd': _brandId,
        'ei': _variant,
        'eg': _keywords,
        'ge': _campaignId
      };
}
